* {
    touch-action: pan-y;
    user-select: none;
    box-sizing: border-box;
}

html, head, body {
    overflow: hidden;
    height: 100dvh;
    margin: 0;
    padding: 0;
    background: linear-gradient(90deg, #3c8ad3 0%, #56a2df 100%);
    color: var(--text);
    font-family: var(--basic-font);
    line-height: 1.3;
    position: relative;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    overscroll-behavior: none;
}

.hidden,
[hidden] {
    display: none !important;
    opacity: 0;
}

.disabled,
[disabled] {
    opacity: 0.5;
    pointer-events: none;
}

:root {
    /* fonts */
    --basic-font: "Nunito", system-ui, -apple-system, Segoe UI, Roboto, Arial, sans-serif;
    --main-btn-font: "Baloo-Cyrillic", sans-serif;

    /* typography (cells: label/value) */
    --cell-label-font-size: 11px;
    --cell-label-font-weight: 800;
    --cell-value-font-size: clamp(11px, 2dvw, 18px);
    --cell-value-font-weight: 800;

    /* colors */
    --console-bg: #1C2343;
    --text: #fff;

    /* layout tokens (global) */
    --gap: clamp(4px, 1.6vw, 6px);
    --console-pad-x: clamp(10px, 2.4vw, 28px);
    --gap-panel-console: clamp(8px, 2.6vw, 10px);

    /* bottom bar */
    --bottomPanel-h: clamp(16px, calc(1.5vh + 1.5vw), 26px);

    /* cells */
    --cell-h: clamp(40px, 12vw, 44px);
    --cell-radius: 14px;

    /* sizes */
    --w-auto: var(--cell-h);
    /*--start-reserve: clamp(92px, 29vw, 114px);*/

    --stats-main-width: calc(100% - var(--start-reserve));
    --console-h: clamp(92px, 30vw, 110px);
    --plaque-right-extra: clamp(10px, 3.6vw, 14px);

    --stats-row-1-h: 32px; /* WIN + AUTO BET */
    --stats-row-2-h: 42px; /* BET + AUTO CASH OUT */
    --start-btn-size: 78px; /* START / CANCEL / CASHOUT */
    --stats-right-col-w: 126px; /* right column width */
    --start-reserve: var(--start-btn-size);
}

/*-------- Region FONTS --------*/
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-Black.woff2") format("woff2");
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-ExtraBold.woff2") format("woff2");
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-Bold.woff2") format("woff2");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-SemiBold.woff2") format("woff2");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-Medium.woff2") format("woff2");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("../fonts/Nunito-Regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Baloo-Cyrillic";
    src: url("../fonts/Baloo-Cyrillic.woff2") format("woff2");
    font-style: normal;
    font-display: swap;
}

/*-------- END REGION --------*/
